abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 17:00 | Nová verze

Po pěti letech vývoje byla vydána nová verze 2.6.0 svobodné tahové strategické počítačové hry Freeciv (Wikipedie) inspirované herní sérií Civilization. Přehled novinek v oznámení o vydání.

Ladislav Hagara | Komentářů: 0
včera 16:11 | Nová verze

Byla vydána verze 8.0 open source unixového operačního systému NetBSD (Wikipedie). Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
včera 12:33 | Zajímavý projekt

Uživatel denholmsdead již více než rok zveřejňuje na redditu své obrázky s linuxovou tématikou. Náhledy obrázků jsou k dispozici na linux.pictures. Obrázky v plném rozlišení na GitLabu.

Ladislav Hagara | Komentářů: 2
20.7. 18:55 | Zajímavý projekt

Společnosti Google, Microsoft, Twitter a Facebook společně představily open source platformu Data Transfer Project (DTP). Cílem platformy je zjednodušit uživatelům přechod a přenos dat mezi jednotlivými online službami. Podrobnosti v pdf a na GitHubu.

Ladislav Hagara | Komentářů: 5
20.7. 18:33 | Nová verze

Canonical a Microsoft společně oznámili, že PowerShell Core je nově dostupný také jako snap balíček na Snapcraftu. Microsoft uvolnil zdrojové kódy PowerShellu (Wikipedie, GitHub) v srpnu 2016 pod open source licencí MIT a naportoval je na Linux.

Ladislav Hagara | Komentářů: 2
20.7. 13:11 | Zajímavý projekt

Novinkou v minor aktualizaci webového prohlížeče Vivaldi je podpora vyhledávače Qwant (Wikipedie). Vývojáři Vivaldi zdůrazňují, že se jedná o evropský vyhledávač respektující soukromí uživatelů.

Ladislav Hagara | Komentářů: 7
20.7. 01:33 | Nová verze

Po šesti letech od vydání verze 1.0 byla vydána verze 2.0 multiplatformního editoru tagů MusicBrainz Picard (Wikipedie). Přehled novinek, vylepšení a oprav v changelogu.

Ladislav Hagara | Komentářů: 0
19.7. 16:22 | Nová verze Ladislav Hagara | Komentářů: 14
19.7. 15:00 | Komunita

Dnes končí podpora Ubuntu 17.10 Artful Aardvark. Uživatelům je doporučen přechod na Ubuntu 18.04 Bionic Beaver s prodlouženou podporou do roku 2023. Podpora standardních verzí Ubuntu je 9 měsíců. Verze 17.10 byla vydána 19. října 2017.

Ladislav Hagara | Komentářů: 12
19.7. 13:33 | Bezpečnostní upozornění

Společnost Oracle vydala čtvrtletní bezpečnostní aktualizaci svých softwarových produktů (CPU, Critical Patch Update). Opraveno bylo celkově 334 bezpečnostních chyb. V Oracle Java SE je například opraveno 8 bezpečnostních chyb. Všechny jsou vzdáleně zneužitelné bez autentizace. V Oracle MySQL je opraveno 31 bezpečnostních chyb. Vzdáleně zneužitelných bez autentizace je 7 z nich.

Ladislav Hagara | Komentářů: 0
Jak čtete delší texty z webových stránek?
 (77%)
 (20%)
 (5%)
 (7%)
 (2%)
 (10%)
Celkem 376 hlasů
 Komentářů: 40, poslední 29.6. 10:21
    Rozcestník

    Dotaz: ffmpeg + vidstab (nepřeloží se)

    22.8.2017 09:15 Brad | skóre: 7
    ffmpeg + vidstab (nepřeloží se)
    Přečteno: 148×
    Zdravím vespolek. Zatím se mě potíže tak nějak vyhýbaly, ovšem to se nyní změnilo, jelikož se u mne objevila potřeba využívat vidstab filtr pro ffmpeg, který ovšem defaultní instalace z distribuce, kterou používám, neobsahuje. Na nějaké k vidstabu přidružené webovce se to dá sice stáhnout ve statické (a novější) verzi celé již hotové a z nouze to i používám, ale neobsahuje to zas jiné filtry (např x11grab, který také občas využívám) a navíc mě nebaví v systému pořád přejmenovávat sem a tam různé verze spustitelných souborů jako nějaký windowsák, takže jsem se rozhodl (zahrát si na hrdinu a) přeložit si ffmpeg i s vidstab filtrem (a ostatními, co používám) ve stejné verzi, co byla v systému. Už už se zdálo, že to i dopadne, ale - bohužel (to "bohužel" samozřejmě blíže vysvětlím). návodu a dle chybových hlášek, co postupně při překladu padaly (doinstalace cmake, nasm a různých devel i nedevel balíčků). Takto jsem nakonec vidstab filtr úspěšně přeložil a pokračoval na samotný ffmpeg (kde se situace s balíčky samozřejmě opakovala, ale to je standard) a který mě ve finále, kdy už měl vše co potřebuje a vypadalo to že se dílo podaří, dorazil "těžkým kombem", přes které se už nedovedu dostat - hláškou, že nemůže najít vidstab (který je úspěšně přeložený a nainstalovaný v systému dle předchozího postupu).

    Neví někdo co s tím? Po Internetu jsem samozřejmě hledal, ale jak přijít na to, který z těch dvou (vidstab vs. ffmpeg) lže a jak jim to vysvětlit tak, aby se to přeložilo, jsem nenašel. FFmpeg je při překladu poměrně skoupý na informace, takže jako chybovou hlášku vyhodí jen "vidstab not found" a starej se, a já absolutně netuším, co se děje a kde získat bližší informace.

    Neřešil jste už někdo něco podobného? Dokáže někdo z přítomných poradit co s tím?

    Řešení dotazu:


    Odpovědi

    22.8.2017 09:18 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Má tam být "Postupoval jsem dle návodu..." atd (nějak to vypadlo při editaci příspěvku).

    Poradíte?
    22.8.2017 09:57 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Ještě abych to upřesnil, jedná se už o konfiguraci (./configure), na překládání samotné ještě ani nedošlo...
    22.8.2017 12:52 Zdenek 'Mst. Spider' Sedlak | skóre: 38 | blog: xMstSpider
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Je potreba configure rict, kde jsou devel (.h) soubory vidstab == cesta k adresari se soubory. Tak to funguje obecne, uz ffmpeg predpokladam to same.
    22.8.2017 13:06 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Cestu mám /usr/src/ffmpeg-2.4.13 a /usr/src/vid.stab a parametry jsem měl takto:

    [root@localhost ffmpeg-2.4.13]# ./configure --prefix=/usr --enable-shared --libdir=/usr/lib --shlibdir=/usr/lib --incdir=/usr/include --disable-stripping --enable-postproc --enable-gpl --enable-pthreads --enable-libtheora --enable-libvorbis --disable-encoder=vorbis --enable-libvpx --enable-x11grab --enable-runtime-cpudetect --enable-libdc1394 --enable-libschroedinger --enable-librtmp --enable-libspeex --enable-libfreetype --enable-libnut --enable-libgsm --enable-libcelt --enable-libopus --disable-libopencv --enable-libopenjpeg --enable-libtwolame --enable-libxavs --enable-frei0r --enable-libmodplug --enable-libass --enable-gnutls --enable-libcdio --enable-libpulse --enable-libv4l2 --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-version3 --enable-libx264 --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-libxvid --enable-libvidstab
    ERROR: vidstab not found


    Takže i když mám nastaveno --prefix=/usr , tak musím ještě sólo vyspecifikovat kde leží vidstab? Devel balíčky byly z repozitářů, doinstaloval jsem je vždy ručně postupně podle potřeby pomocí urpmi (mám Mageiu), předpokládal bych že leží někde na systémové cestě... nebo se pletu?
    22.8.2017 13:37 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Nepomohlo.

    [root@localhost ffmpeg-2.4.13]# export PATH=$PATH:/usr/src/vid.stab:/usr/local/sbin:/usr/sbin:/usr/local/bin:/usr/bin:/usr/lib/qt4/bin:/usr/lib/qt5/bin:/usr/share/pk2:/opt/microchip/xc8/v1.40/bin
    [root@localhost ffmpeg-2.4.13]# ./configure --prefix=$PATH --enable-shared --libdir=/usr/lib --shlibdir=/usr/lib --incdir=/usr/include --disable-stripping --enable-postproc --enable-gpl --enable-pthreads --enable-libtheora --enable-libvorbis --disable-encoder=vorbis --enable-libvpx --enable-x11grab --enable-runtime-cpudetect --enable-libdc1394 --enable-libschroedinger --enable-librtmp --enable-libspeex --enable-libfreetype --enable-libnut --enable-libgsm --enable-libcelt --enable-libopus --disable-libopencv --enable-libopenjpeg --enable-libtwolame --enable-libxavs --enable-frei0r --enable-libmodplug --enable-libass --enable-gnutls --enable-libcdio --enable-libpulse --enable-libv4l2 --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-version3 --enable-libx264 --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-libxvid --enable-libvidstab
    ERROR: vidstab not found


    Dělal jsem to správně?
    22.8.2017 14:19 Zdenek 'Mst. Spider' Sedlak | skóre: 38 | blog: xMstSpider
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    k --enable-libvidstab jeste urcite patri dalsi argument s cestou. Doporucuju grepnout configure a podivat se, co presne hleda (napr. libvidstab.h nebo podobne) a podivat se, kde se ten soubor nachazi...
    22.8.2017 15:17 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Kolega Chrono dole věděl co hledá, ale určitě si s tím ještě pohraju a prozkoumám to blíž i pro příště, ať neumřu blbej. Děkuji vám oběma za rady.
    22.8.2017 10:14 chrono
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Čo vypíše pkg-config --modversion vidstab ?
    22.8.2017 12:36 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Vypíše tohle:

    [root@localhost ffmpeg-2.4.13]# pkg-config --modversion vidstab Package vidstab was not found in the pkg-config search path. Perhaps you should add the directory containing `vidstab.pc' to the PKG_CONFIG_PATH environment variable No package 'vidstab' found

    Ovšem jestli to dobře chápu tak hledá balíček, ovšem kompilace vidstab filtru ze zdrojáků přeci instalační balíček nevytváří, nebo jo? Balíček "vidstab" tak samozřejmě existovat nemůže, nebo dělám něco špatně?
    Řešení 1× (Brad (tazatel))
    22.8.2017 13:43 chrono
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Nehľadá to balíček, na zistenie dostupnosti tej knižnice sa používa program pkg-config. Ak bol súbor vidstab.pc správne nainštalovaný, tak bude problém v tom, že pkg-config je nastavený tak, aby hľadal tie súbory len v /usr/lib/pkgconfig (a nie aj v /usr/local/lib/pkgconfig kam sa pravdepodobne tá knižnica nainštalovala).
    22.8.2017 14:25 Brad | skóre: 7
    Rozbalit Rozbalit vše Re: ffmpeg + vidstab (nepřeloží se)
    Aha... Zkusil jsem mu to vysvětlit...

    [root@localhost ffmpeg-2.4.13]# export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig

    ...a skutečně to asi zabralo, už mu nechybí libvidstab, ale hlásí že chce něco jiného (libvo_aacenc) - s tím už si snad poradím. Jinak mě by teda nenapadlo, že nějakej konfigurátor balíčkovače (nebo co to vlastně přesně je za program ten pkg-config {ještě se na něj mrknu}) bude používat jiný cesty než systémový, ale budiž... Každopádně děkuji za radu, zdá se že to už bude dobré.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.